de.esprit.netsuite.netdata.enums

## Enum NetChannelType

- java.lang.Object
- - java.lang.Enum<NetChannelType>
  - - de.esprit.netsuite.netdata.enums.NetChannelType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NetChannelType>

      public enum NetChannelType
      extends java.lang.Enum<NetChannelType>

  Defines the available network channels.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CH_MESSAGE`
    `CH_REQUEST`
    `CH_TRANSFER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMessageChannel()`
    `boolean` | `isRequestChannel()`
    `boolean` | `isTransferChannel()`
    `static NetChannelType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NetChannelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CH_REQUEST

          public static final NetChannelType CH_REQUEST

    - #### CH_MESSAGE

          public static final NetChannelType CH_MESSAGE

    - #### CH_TRANSFER

          public static final NetChannelType CH_TRANSFER

  - ### Method Detail

    - #### values

          public static NetChannelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetChannelType c : NetChannelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetChannelType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isRequestChannel

          public boolean isRequestChannel()

    - #### isMessageChannel

          public boolean isMessageChannel()

    - #### isTransferChannel

          public boolean isTransferChannel()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.